From aaa9c2ecb3a55278fea2531c1f37b921c8783043 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Wed, 11 May 2022 19:41:13 +0200
Subject: [PATCH 12/14] Disable Message Aggregation

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmd/slurmd/slurmd.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

diff --git a/src/slurmd/slurmd/slurmd.c b/src/slurmd/slurmd/slurmd.c
index 8a7dd9c076..240814e85a 100644
--- a/src/slurmd/slurmd/slurmd.c
+++ b/src/slurmd/slurmd/slurmd.c
@@ -188,7 +188,9 @@ static void      _decrement_thd_count(void);
 static void      _destroy_conf(void);
 static int       _drain_node(char *reason);
 static void      _fill_registration_msg(slurm_node_registration_status_msg_t *);
+#if 0
 static uint64_t  _get_int(const char *my_str);
+#endif
 static void      _handle_connection(int fd, slurm_addr_t *client);
 static void      _hup_handler(int);
 static void      _increment_thd_count(void);
@@ -2334,6 +2336,7 @@ static int _set_topo_info(void)
 	return rc;
 }
 
+#if 0
 static uint64_t _get_int(const char *my_str)
 {
 	char *end = NULL;
@@ -2346,23 +2349,33 @@ static uint64_t _get_int(const char *my_str)
 		return NO_VAL;
 	return value;
 }
+#endif
 
 static uint64_t _parse_msg_aggr_params(int type, char *params)
 {
 	uint64_t value = NO_VAL;
+#if 0
 	char *sub_str = NULL;
-
+#endif
 	if (!params)
 		return NO_VAL;
 
 	switch (type) {
 	case WINDOW_TIME:
+	  info("Message aggregation has been disabled, "
+	       "please check SLE release notes!");
+#if 0
 		if ((sub_str = xstrcasestr(params, "WindowTime=")))
 			value = _get_int(sub_str + 11);
+#endif
 		break;
 	case WINDOW_MSGS:
+	  info("Message aggregation has been disabled, "
+	       "please check SLE release notes!");
+#if 0
 		if ((sub_str = xstrcasestr(params, "WindowMsgs=")))
 			value = _get_int(sub_str + 11);
+#endif
 		break;
 	default:
 		fatal("invalid message aggregation parameters: %s", params);
-- 
2.35.3


